<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_search
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
?>

<div class="row search-results<?php echo $this->pageclass_sfx; ?>">
<?php
$counter = 1;
foreach ($this->results as $key=>$result) : ?>
	<div class="col-xs-12 col-sm-6 col-md-3">
		<div class="panel panel-default">
			<div class="panel-body">
				<div class="result-title">
					<?php echo $this->pagination->limitstart + $result->count . '. ';?>
					<?php if ($result->href) :?>
						<a href="<?php echo JRoute::_($result->href); ?>"<?php if ($result->browsernav == 1) :?> target="_blank"<?php endif;?>>
							<?php echo $this->escape($result->title);?>
						</a>
					<?php else:?>
						<?php echo $this->escape($result->title);?>
					<?php endif; ?>

					<?php if ($result->section) : ?>
						<span class="small<?php echo $this->pageclass_sfx; ?>">
					(<?php echo $this->escape($result->section); ?>)
				</span>
					<?php endif; ?>
				</div>
				<?php if ($result->thumb) : ?>
					<div class="result-thumb">
						<?php if ($result->href) :?>
							<a href="<?php echo JRoute::_($result->href); ?>"<?php if ($result->browsernav == 1) :?> target="_blank"<?php endif;?>>
						<?php endif; ?>

							<img class="img-responsive" src="<?php echo $result->thumb; ?>" alt="<?php echo $this->escape($result->title);?>">

						<?php if ($result->href) :?>
							</a>
						<?php endif; ?>
					</div>
				<?php endif; ?>
				<div class="result-text">
					<?php echo $result->text; ?>
				</div>
				<?php if ($this->params->get('show_date')) : ?>
					<div class="result-created<?php echo $this->pageclass_sfx; ?>">
						<?php echo JText::sprintf('JGLOBAL_CREATED_DATE_ON', $result->created); ?>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?php if (($counter % 4) === 0) {
		$counter = 1;
		?>
		<div class="clearfix"></div>
	<?php } else {
		$counter++;
	} ?>
<?php endforeach; ?>
</div>
<div class="text-center">
	<div class="pagination">
		<?php echo $this->pagination->getPagesLinks(); ?>
	</div>
</div>
