<?php
defined( '_JEXEC' ) or die( 'Restricted access' );
error_reporting(E_ALL & ~E_NOTICE);

jimport('joomla.plugin.plugin');

/*JPlugin::loadLanguage( 'plg_search_joomshopping' );*/

class plgSearchJoomshopping extends JPlugin {


    function onContentSearchAreas(){
        static $areas = array(
            'joomshopping' => 'Каталог'
        );
        return $areas;
    }


    function onContentSearch( $text, $phrase='', $ordering='', $areas=null )
    {
        require_once (JPATH_SITE.'/components/com_jshopping/lib/factory.php');
        require_once (JPATH_SITE.'/components/com_jshopping/lib/functions.php');

        $db =  JFactory::getDBO();
        $user =  JFactory::getUser();
        $lang = JSFactory::getLang();

        if (is_array($areas)) {
            if (!array_intersect($areas, array_keys($this->onContentSearchAreas()))) {
                return array();
            }
        }

        $limit = $this->params->def( 'search_limit', 50 );

        $text = trim( $text );
        if ($text == '') {
            return array();
        }

        switch ( $ordering ) {
            case 'alpha':
                $order = "prod.`".$lang->get('name')."` ASC";
                break;
            case 'newest':
                $order = "prod.`product_date_added` DESC";
                break;
            case 'oldest':
                $order = "prod.`product_date_added` ASC";
                break;
            case 'popular':
                $order = "prod.`hits` DESC";
                break;
            case 'category':
                $order = 'cat.`'.$lang->get('name').'` ASC, prod.`'.$lang->get('name').'` ASC';
                break;
            default:
                $order = 'prod.product_id DESC';
        }

        switch ($phrase) {
            case 'exact':
                $text        = $db->Quote( '%'.$db->escape( $text, true ).'%', false );
                $wheres2     = array();
                $wheres2[]     = "prod.`".$lang->get('name')."` LIKE ".$text;
                $wheres2[]     = "prod.`".$lang->get('short_description')."` LIKE ".$text;
                $wheres2[]     = "prod.`".$lang->get('description')."` LIKE ".$text;
                $wheres2[]     = "prod.product_ean LIKE ".$text;
                $where         = '(' . implode( ') OR (', $wheres2 ) . ')';
                break;

            case 'all':
            case 'any':
            default:
                $words = explode( ' ', $text );
                $wheres = array();
                foreach ($words as $word) {
                    $word        = $db->Quote( '%'.$db->escape( $word, true ).'%', false );

                    $wheres2     = array();
                    $wheres2[]     = "prod.`".$lang->get('name')."` LIKE ".$word;
                    $wheres2[]     = "prod.`".$lang->get('short_description')."` LIKE ".$word;
                    $wheres2[]     = "prod.`".$lang->get('description')."` LIKE ".$word;
                    $wheres2[]     = "prod.product_ean LIKE ".$word;
                    $wheres[]     = implode( ' OR ', $wheres2 );
                }
                $where = '(' . implode( ($phrase == 'all' ? ') AND (' : ') OR ('), $wheres ) . ')';
                break;
        }

        $query = "SELECT prod.product_id AS slug, pr_cat.category_id AS catslug, prod.`".$lang->get('name')."` as title,
                  CONCAT(prod.`".$lang->get('short_description')."`,' ',prod.`".$lang->get('description')."`) as text, 
                  '2' AS browsernav,
                  prod.product_date_added AS created,
                  cat.`".$lang->get('name')."` AS section,
                  pr_img.image_name AS thumb
                  FROM `#__jshopping_products` AS prod
                  LEFT JOIN `#__jshopping_products_to_categories` AS pr_cat ON pr_cat.product_id = prod.product_id
                  LEFT JOIN `#__jshopping_products_images` AS pr_img ON pr_img.product_id = prod.product_id
                  LEFT JOIN `#__jshopping_categories` AS cat ON pr_cat.category_id = cat.category_id
                  WHERE ($where) AND prod.product_publish = '1' AND cat.category_publish='1'                
                  GROUP BY prod.product_id
                  ORDER BY $order 
                  ";
        $db->setQuery( $query, 0, $limit );
        $rows = $db->loadObjectList();

        if ($rows){
            foreach($rows as $key => $row) {
                $rows[$key]->href = SEFLink('index.php?option=com_jshopping&controller=product&task=view&category_id='.$row->catslug.'&product_id='.$row->slug, 1);
                if (!empty($rows[$key]->thumb)) {
                    $rows[$key]->thumb = JUri::root() . "/components/com_jshopping/files/img_products/" . $rows[$key]->thumb;
                } else {
                    $rows[$key]->thumb = false;
                }
            }
        }

        //Category Search
        $words = explode( ' ', $text );
        $wheres = array();
        foreach ($words as $word) {
            $word        = $db->Quote( '%'.$db->escape( $word, true ).'%', false );

            $wheres2     = array();
            $wheres2[]     = "CONVERT(`name_ru-RU` USING utf8) LIKE ".$word;
            /*$wheres2[]     = "CONVERT('alias_ru-RU' USING utf8) LIKE ".$word;
            $wheres2[]     = "CONVERT('description_ru-RU' USING utf8) LIKE ".$word;
            $wheres2[]     = "CONVERT('short_description_ru-RU' USING utf8) LIKE ".$word;*/
            $wheres[]     = implode( ' OR ', $wheres2 );
        }
        $where = '(' . implode( ($phrase == 'all' ? ') AND (' : ') OR ('), $wheres ) . ')';

        $category_query = "SELECT `category_id`, `name_ru-RU`, `alias_ru-RU`, `category_image`
                          FROM `#__jshopping_categories`
                          WHERE ($where)
                          AND `category_publish`='1'
                          ";

        $db->setQuery( $category_query, 0, $limit );

        $category_rows = $db->loadObjectList();



        if ($category_rows){
            foreach($category_rows as $key => $value) {
                $name = 'name_ru-RU';
                $alias = 'alias_ru-RU';
                $category_rows[$key]->title = $category_rows[$key]->$name;
                $category_rows[$key]->section = $category_rows[$key]->$alias;
                $category_rows[$key]->href = SEFLink('index.php?option=com_jshopping&view=category&layout=category&task=view&category_id='.$value->category_id.'&Itemid=112');
                if (!empty($category_rows[$key]->category_image)) {
                    $category_rows[$key]->thumb = JUri::root() . "/components/com_jshopping/files/img_categories/" . $category_rows[$key]->category_image;
                } else {
                    $category_rows[$key]->thumb = false;
                }
            }
        }

        //var_dump($category_rows);

        $rows = array_merge($category_rows, $rows);

        return $rows;
    }
}
?>